%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname Quixote

Name:           python-quixote
Version:        1.2
Release:        3
Summary:        A highly Pythonic Web application framework

Group:          Development/Libraries
License:        CNRI
URL:            http://www.mems-exchange.org/software/quixote/
Source0:        http://www.mems-exchange.org/software/files/quixote/Quixote-1.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
Quixote is a framework for developing Web applications in Python. Quixote is
based on a simple, flexible design, making it possible to write applications
quickly and to benefit from the wide range of available third-party Python
modules. Deployed appropriately, Quixote has excellent performance that allows
you to put Quixote-based applications into large-scale production use.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/ CHANGES README TODO LICENSE
%dir %{python_sitearch}/quixote
%{python_sitearch}/quixote/*.py
%{python_sitearch}/quixote/*.pyc
%{python_sitearch}/quixote/*.so
%ghost %{python_sitearch}/quixote/*.pyo
%{python_sitearch}/quixote/demo/*.py
%{python_sitearch}/quixote/demo/*.pyc
%{python_sitearch}/quixote/demo/*.ptl
%ghost %{python_sitearch}/quixote/demo/*.pyo
%{python_sitearch}/quixote/form/*.py
%{python_sitearch}/quixote/form/*.pyc
%ghost %{python_sitearch}/quixote/form/*.pyo
%{python_sitearch}/quixote/server/*.py
%{python_sitearch}/quixote/server/*.pyc
%ghost %{python_sitearch}/quixote/server/*.pyo
# remove the form2 lines for Quixote 2
%{python_sitearch}/quixote/form2/*.py
%{python_sitearch}/quixote/form2/*.pyc
%ghost %{python_sitearch}/quixote/form2/*.pyo

%changelog
* Thu Mar 10 2005 Shahms E. King <shahms@shahms.com> 1.2-3 -
- remove 'srcver' from specfile

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.2-2
- Fix up specfile for FC3
- Change python_sitelib -> python_sitearch for multi-lib builds

* Thu Oct 28 2004 Shahms E. King <shahms@shahms.com> -
- Update to 1.2

* Wed May 26 2004 Shahms King <shahms@shahms.com> -
- Initial Relase
